Subject: Re: linux-next: manual merge of the vfs tree with the ceph tree

From: Stephen Rothwell <[email-masked]>
Date: Fri, 26 Jun 2015 18:33:26 +1000

Hi Ilya,

On Fri, 26 Jun 2015 11:21:52 +0300 Ilya Dryomov <[email-masked]> wrote:
>
> > Sage: that ceph tree commit has no Signed-off-by from its
> > committer :-(  The same is true for almost all the commits in the ceph
> > tree ... and the committer (Ilya) is not listed as a maintainer of that
> > tree ... and its on github :-(
> 
> Well, it has Signed-off-by from a person who is listed as a maintainer
> of fs/ceph (Zheng).  We share the same tree for three components: rbd
> (drivers/block/rbd.c), cephfs (fs/ceph) and libceph (net/ceph) which is
> used by both rbd and cephfs (we should probably split libceph into its
> own MAINTAINERS entry).  The volume of commits is not that high and
> we prefer to not clutter our 30-40 commits per cycle with a bunch of
> merges, so when one of us rebases the committer stamp gets wiped.

Then the person who rebases it must add a Signed-off-by line since they
are then on the handling path from the author to Linus.

> As for github, is that a bad thing?  ceph-client.git is certainly not
> the only github tree in linux-next.

Yeah, it just means that I am a bit more suspicious of things there.
You are *not* listed in my contacts for the ceph tree not are you
listed in the MAINTAINERS file for that tree.

Also the tree listed in MAINTAINERS is:

T:      git git://git.kernel.org/pub/scm/linux/kernel/git/sage/ceph-client.git

-- 
Cheers,
Stephen Rothwell                    [email-masked]